cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/roles" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"role": {
"name": "Support staff"
}
}'from exsited import build_client
client = build_client()
response = client.roles.create_settings_role({"role": {"name": "Support staff"}})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.roles.createSettingsRole({role: {name: 'Support staff'}});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->roles->createSettingsRole(['role' => ['name' => 'Support staff']]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.roles().createSettingsRole(
Map.of("role", Map.of("name", "Support staff")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Roles.CreateSettingsRoleAsync(new Dictionary<string, object?>
{
["role"] = new Dictionary<string, object?>
{
["name"] = "Support staff",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.roles.createSettingsRole({
'role': {'name': 'Support staff'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Roles().CreateSettingsRole(context.Background(), map[string]any{
"role": map[string]any{"name": "Support staff"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Roles
Create a role
Creates a role and returns it under role.
POST
/
settings
/
roles
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/roles" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"role": {
"name": "Support staff"
}
}'from exsited import build_client
client = build_client()
response = client.roles.create_settings_role({"role": {"name": "Support staff"}})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.roles.createSettingsRole({role: {name: 'Support staff'}});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->roles->createSettingsRole(['role' => ['name' => 'Support staff']]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.roles().createSettingsRole(
Map.of("role", Map.of("name", "Support staff")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Roles.CreateSettingsRoleAsync(new Dictionary<string, object?>
{
["role"] = new Dictionary<string, object?>
{
["name"] = "Support staff",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.roles.createSettingsRole({
'role': {'name': 'Support staff'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Roles().CreateSettingsRole(context.Background(), map[string]any{
"role": map[string]any{"name": "Support staff"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send the new role under
role, for example with a name.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.